#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    int t,n,m;
    cin>>t;

    for(int i=0;i<t;i++)
        cin>>n>>m;
    for(int i=0;i<t;i++)
        cout<<-1;
    return 0;
}